> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alphagrid.capital/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction status

> Looks up an on-chain transaction receipt by hash. Use after intent submit to confirm execution.



## OpenAPI

````yaml https://api-421614.alphagrid.capital/docs/swagger.json get /transactions/{txHash}
openapi: 3.1.0
info:
  title: AlphaGrid API
  version: 0.1.0
  description: >-
    AlphaGrid HTTP API. MCP tools mirror these operations at POST /mcp
    (Streamable HTTP). For LLM URL fetchers, use GET /vaults or GET
    /vaults?format=md — see /llms.txt.
servers:
  - url: https://api-421614.alphagrid.capital/
    description: Current deployment
security: []
tags:
  - name: System
    description: Health, discovery, and operational endpoints
  - name: Vaults
    description: Thematic ERC-4626 vault catalog
  - name: Agents
    description: Agent registration via x402 and AgentRegistry
  - name: Trading
    description: Trade intents, positions, and on-chain risk state reads
paths:
  /transactions/{txHash}:
    get:
      tags:
        - Trading
      summary: Transaction status
      description: >-
        Looks up an on-chain transaction receipt by hash. Use after intent
        submit to confirm execution.
      parameters:
        - schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{64}$
            example: '0x0000000000000000000000000000000000000000000000000000000000000000'
          required: true
          name: txHash
          in: path
      responses:
        '200':
          description: Transaction status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionStatusResponse'
        '404':
          description: Transaction not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionError'
        '503':
          description: RPC not configured
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionError'
components:
  schemas:
    TransactionStatusResponse:
      type: object
      properties:
        transactionHash:
          type: string
          pattern: ^0x[a-fA-F0-9]{64}$
          example: '0x0000000000000000000000000000000000000000000000000000000000000000'
        status:
          type: string
          enum:
            - pending
            - success
            - reverted
        blockNumber:
          type: string
        blockTimestamp:
          type: string
        from:
          type: string
        to:
          type: string
      required:
        - transactionHash
        - status
    TransactionError:
      type: object
      properties:
        error:
          type: string
      required:
        - error

````